#
# spec file for package syslog-ng-incubator
#
# Copyright (c) 2015 Peter Czanik, Budapest, Hungary.
#

Name:		syslog-ng-incubator
Version:	0.4.1
Release:	4%{?dist}
Summary:	The syslog-ng module incubator
License:	GPLv2
Group:		System Environment/Daemons
Url:		https://github.com/balabit/syslog-ng-incubator
Source:		syslog-ng-incubator-%{version}.tar.xz
BuildRequires:	syslog-ng-devel
BuildRequires:	pkgconfig
BuildRequires:	bison
BuildRequires:  flex
BuildRequires:	eventlog-devel
BuildRequires:	glib2-devel
BuildRequires:	pcre-devel
BuildRequires:	lua-devel
BuildRequires:	ivykis-devel
BuildRequires:	python-devel
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Embed
BuildRequires:	xz
BuildRequires:	java-devel
BuildRequires:	zeromq3-devel
BuildRequires:	librdkafka-devel
BuildRequires:	grok-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The syslog-ng module incubator (Incubator henceforth) is a collection 
of tools and modules for syslog-ng that for one reason or the other, are
not part of the official repository. This serves both as a staging ground
for experimental modules, and as a repository of plugins that are not
aimed at upstream inclusion. It's also an example of a third party
syslog-ng module.

%package grok
Summary:        Grok parser support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description grok
This package provides grok parser support for syslog-ng

%package riemann
Summary:        Riemann destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description riemann
This package provides riemann destination support for syslog-ng.

%package perl
Summary:        Perl destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description perl
This package provides perl destination support for syslog-ng.

%package python
Summary:        Python destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description python
This package provides python destination support for syslog-ng.

%package java
Summary:        Java destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description java
This package provides java destination support for syslog-ng.

%package kafka
Summary:        Kafka destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description kafka
This package provides kafka destination support for syslog-ng.

%package zmq
Summary:        ZMQ source/destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description zmq
This package provides ZMQ source/destination support for syslog-ng.

%package elasticsearch
Summary:        Elasticsarch destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}
Requires:       python-requests

%description elasticsearch
This package provides elasticsearch destination support for syslog-ng.

%prep
%setup -q -n syslog-ng-incubator-%{version}

%build
export AM_YFLAGS=-d
%configure \
	--datadir="%{_datadir}/syslog-ng"
make %_smp_mflags

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove development related files
rm %{buildroot}/%{_libdir}/syslog-ng/*.a
rm %{buildroot}/%{_libdir}/syslog-ng/*.la

%clean

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/*
%exclude %{_libdir}/syslog-ng/libmod-perl.so
%exclude %{_libdir}/syslog-ng/libmod-python.so
%exclude %{_libdir}/syslog-ng/libmod-java.so
%exclude %{_libdir}/syslog-ng/libzmq.so
%exclude %{_libdir}/syslog-ng/libkafka.so
%exclude %{_libdir}/syslog-ng/libgrok-parser.so
%dir %{_datadir}/syslog-ng/include
%dir %{_datadir}/syslog-ng/include/scl


%files python
%attr(755,root,root) %{_libdir}/syslog-ng/libmod-python.so

%files grok
%attr(755,root,root) %{_libdir}/syslog-ng/libgrok-parser.so

%files perl
%attr(755,root,root) %{_libdir}/syslog-ng/libmod-perl.so

%files java
%attr(755,root,root) %{_libdir}/syslog-ng/libmod-java.so
%attr(755,root,root) %{_libdir}/syslog-ng/SyslogNg.jar

%files zmq
%attr(755,root,root) %{_libdir}/syslog-ng/libzmq.so

%files kafka
%attr(755,root,root) %{_libdir}/syslog-ng/libkafka.so

%files elasticsearch
%defattr(-,root,root)
%dir %{_datadir}/syslog-ng/include/scl/elasticsearch
%attr(755,root,root) %{_datadir}/syslog-ng/include/scl/elasticsearch/es-bridge
%attr(644,root,root) %{_datadir}/syslog-ng/include/scl/elasticsearch/plugin.conf

%changelog
* Thu Jan 29 2015 - czanik@balabit.hu
- add grok support

* Tue Jan  6 2015 - czanik@balabit.hu
- add kafka support
- fix java support (depend on java-devel instead of versioned jdk)

* Tue Dec 16 2014 - czanik@balabit.hu
- update to 0.4.1 (bugfix release)

* Mon Dec 15 2014 - czanik@balabit.hu
- update to 0.4.0
- remove features migrated to syslog-ng (riemann, graphite)
- add java and zmq support

* Fri Jul 25 2014 - czanik@balabit.hu
- update to 0.3.3 (bugfix release)
- move elasticsearch plugin into separate subpackage due to dependencies

* Thu Jul 17 2014 - czanik@balabit.hu

- update to 0.3.2 (bugfix release)

* Fri Jun  6 2014 - czanik@balabit.hu

- update to 0.3.1
- add perl and python destination support
- spec cleanup :)

* Thu Mar 13 2014 - czanik@balabit.hu

- update to 0.2.1 (bugfix release)

* Thu Feb 27 2014 - czanik@balabit.hu

- update to 0.2
- add riemann support

* Fri Dec 20 2013 - czanik@balabit.hu

- initial release

